Browse Source

CMake: Bump minimum required version to 3.4.0

The SOURCE_DIR property is used for the translation building and
was introduced in cmake 3.4
tags/debian/1.3_rc1
Julian Andres Klode 4 years ago
parent
commit
4924e4686c
2 changed files with 2 additions and 2 deletions
  1. +1
    -1
      CMakeLists.txt
  2. +1
    -1
      debian/control

+ 1
- 1
CMakeLists.txt View File

@@ -3,7 +3,7 @@

# set minimum version
project(apt)
cmake_minimum_required(VERSION 3.3.0)
cmake_minimum_required(VERSION 3.4.0)

enable_testing()



+ 1
- 1
debian/control View File

@@ -10,7 +10,7 @@ Build-Depends: dpkg-dev (>= 1.17.14), debhelper (>= 9.20141010), libdb-dev,
gettext (>= 0.12), libcurl4-gnutls-dev (>= 7.19.4~),
zlib1g-dev, libbz2-dev, liblzma-dev, liblz4-dev (>= 0.0~r126),
xsltproc, docbook-xsl, docbook-xml, po4a (>= 0.34-2),
cmake, pkg-config, libgtest-dev <!nocheck>, dh-systemd
cmake (>= 3.4), pkg-config, libgtest-dev <!nocheck>, dh-systemd
Build-Depends-Indep: doxygen, w3m, graphviz
Build-Conflicts: autoconf2.13, automake1.4
Vcs-Git: https://anonscm.debian.org/git/apt/apt.git


Loading…
Cancel
Save